@mixin dark {

    /* Couleur principale */
    --theme-s5: hsl(209 100% 5%);
    --theme-s4: hsl(209 100% 10%);
    --theme-s3: hsl(209 100% 20%);
    --theme-s2: hsl(209 100% 30%);
    --theme-s1: hsl(209 100% 40%);
    --theme: hsl(209 100% 50%);
    --theme-c1: hsl(209 100% 60%);
    --theme-c2: hsl(209 100% 70%);
    --theme-c3: hsl(209 100% 80%);
    --theme-c4: hsl(209 100% 90%);
    --theme-c5: hsl(209 100% 95%);

    /* Fond */
    --bg: hsl(240 13% 15%);
    --bg-1: hsl(237 19% 25%);
    --bg-2: hsl(235 25% 35%);
    --bg-3: hsl(234 28% 40%);
    --bg-4: hsl(234 28% 55%);
    --bg-5: hsl(234 28% 65%);
    --bg-i: hsl(240 13% 90%);

    /* Texte */
    --fg: hsl(0 0% 98%);
    --fg-1: hsl(6 3% 88%);
    --fg-2: hsl(13 6% 78%);
    --fg-i: hsl(0 0% 5%);

    color: var(--fg);
    background: var(--bg);

    --border-color: var(--bg);
    --border: 1px solid var(--border-color);

    --theme-hover: var(--theme-s1);
    --theme-active: var(--theme-c1);

}

@mixin light {

    /* Couleur principale */
    --theme-s5: hsl(209 100% 5%);
    --theme-s4: hsl(209 100% 10%);
    --theme-s3: hsl(209 100% 20%);
    --theme-s2: hsl(209 100% 30%);
    --theme-s1: hsl(209 100% 40%);
    --theme: hsl(209 100% 50%);
    --theme-c1: hsl(209 100% 60%);
    --theme-c2: hsl(209 100% 70%);
    --theme-c3: hsl(209 100% 80%);
    --theme-c4: hsl(209 100% 90%);
    --theme-c5: hsl(209 100% 95%);

    /* Fond */
    --bg: hsl(240 13% 96%);
    --bg-1: hsl(238 16% 93%);
    --bg-2: hsl(237 19% 90%);
    --bg-3: hsl(236 22% 87%);
    --bg-4: hsl(235 25% 84%);
    --bg-5: hsl(234 28% 81%);
    --bg-i: hsl(240 13% 10%);

    /* Texte */
    --fg: hsl(0 0% 5%);
    --fg-1: hsl(6 3% 15%);
    --fg-2: hsl(13 6% 25%);
    --fg-i: hsl(0 0% 98%);

    color: var(--fg);
    background: var(--bg);

    --border-color: var(--bg-5);
    --border: 1px solid var(--border-color);

    --theme-hover: var(--theme-c1);
    --theme-active: var(--theme-s1);


}

body {
    @include light();
}

@media (prefers-color-scheme: dark) {

    body { @include dark(); }

}

body.light {
    @include light();
}

body.dark { 
    @include dark(); 
}


body.theme-rose {

    --theme-s5: hsl(325 100% 5%);
    --theme-s4: hsl(325 100% 10%);
    --theme-s3: hsl(325 100% 20%);
    --theme-s2: hsl(325 100% 30%);
    --theme-s1: hsl(325 100% 40%);
    --theme: hsl(325 100% 50%);
    --theme-c1: hsl(325 100% 60%);
    --theme-c2: hsl(325 100% 70%);
    --theme-c3: hsl(325 100% 80%);
    --theme-c4: hsl(325 100% 90%);
    --theme-c5: hsl(325 100% 95%);

}

body.theme-vert {

    --theme-s5: hsl(141 36% 5%);
    --theme-s4: hsl(141 36% 10%);
    --theme-s3: hsl(141 36% 20%);
    --theme-s2: hsl(141 36% 30%);
    --theme-s1: hsl(141 36% 40%);
    --theme: hsl(141 36% 50%);
    --theme-c1: hsl(141 36% 60%);
    --theme-c2: hsl(141 36% 70%);
    --theme-c3: hsl(141 36% 80%);
    --theme-c4: hsl(141 36% 90%);
    --theme-c5: hsl(141 36% 95%);

}

body.theme-grenoble {

    
    /* Couleur principale */
    --theme-s5: hsl(32 40% 5%);
    --theme-s4: hsl(32 40% 10%);
    --theme-s3: hsl(32 40% 20%);
    --theme-s2: hsl(32 40% 30%);
    --theme-s1: hsl(32 40% 40%);
    --theme: hsl(32 40% 50%);
    --theme-c1: hsl(32 40% 60%);
    --theme-c2: hsl(32 40% 70%);
    --theme-c3: hsl(32 40% 80%);
    --theme-c4: hsl(32 40% 90%);
    --theme-c5: hsl(32 40% 95%);

}